### Function

# Vips ThreadStartFn

#### Declaration

    VipsThreadState*
    (* VipsThreadStartFn) (
      VipsImage* im,
      void* a
    )

#### Description

No description available.

This function is not directly available to language bindings.

#### Parameters

`im`

  Type: `VipsImage`

  No description available.

  The data is owned by the caller of the function.

`a`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `VipsThreadState`

No description available.

The data is owned by the called function.